Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request DELETE \ --url https://api.machines.cash/user/v1/identity/wallets/{address} \ --header 'Authorization: Bearer <token>'
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.machines.cash/user/v1/identity/wallets/{address}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.machines.cash/user/v1/identity/wallets/{address}" headers = {"Authorization": "Bearer <token>"} response = requests.delete(url, headers=headers) print(response.text)
{ "ok": true, "data": {}, "summary": "success" }
{ "error": "<string>", "message": "<string>" }
Remove wallet
When to use this: Unlink wallet from account.
Required scope: identity.write.
Bearer session token for User API operations. Legacy UserSessionBearer naming remains supported.
Success
Show child attributes